Subject: [aqm] PIE departure rate estimation

From: Dave Dolson <[email-masked]>
Date: Wed, 1 Apr 2015 20:22:33 +0000

In https://tools.ietf.org/html/draft-ietf-aqm-pie-00#section-4.3,

it says, "We only measure the departure rate when there are sufficient data in the buffer"

Why can't departure rate be estimated regardless of queue size? Just count packets leaving over time? I'm wondering how to avoid the estimate getting stuck at the last value sampled when the queue had a certain quantity in it.

Section 4.2 cites Little's Law as "est_del = qlen/depart_rate",
but according to Wikipedia<http://en.wikipedia.org/wiki/Little%27s_law>, the law uses arrival rate, not departure rate.
I don't know if it matters (I didn't read Little's proof), but this gives credence to the suggestion in section 6 that the algorithm could use arrival rate.
And I think it might be easier to measure when the queue has few items in it.

David Dolson
Senior Software Architect, Sandvine Inc.